Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1672098 - python3-cheetah-0:3.1.0-6.fc29 owns /usr/lib64/python3.7/site-packages/
Summary: python3-cheetah-0:3.1.0-6.fc29 owns /usr/lib64/python3.7/site-packages/
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cheetah
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike Bonnet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1731542
TreeView+ depends on / blocked
 
Reported: 2019-02-03 19:24 UTC by Miro Hrončok
Modified: 2019-09-17 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 16:49:58 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-02-03 19:24:23 UTC
The /usr/lib64/python3.7/site-packages/ directory is supposed to be owned by python3-libs, not this package. Please fix the %files section not to include:

%{python3_sitearch} - /usr/lib64/python3.7/site-packages/

When you do it, please make sure not to own  /usr/lib64/python3.7/site-packages/__pycache__ either.

Comment 1 Ben Cotton 2019-08-13 18:59:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Mike Bonnet 2019-08-27 15:03:15 UTC
This will be fixed once we have a resolution for running Cheetah under Python 3.8. See https://bugzilla.redhat.com/show_bug.cgi?id=1706003


Note You need to log in before you can comment on or make changes to this bug.